package org.gcube.portlets.widgets.workspacesharingwidget.client;

import com.google.gwt.core.client.EntryPoint;

/**
 * Entry point classes define <code>onModuleLoad()</code>.
 */
public class WorkspaceSharingWidgetEntryPoint implements EntryPoint {

	public static String ITEMID = "3f461fcf-c60f-4243-9212-4f7c89dbf7bc";

	/**
	 * This is the entry point method.
	 */
	public void onModuleLoad() {

		/*try {

			WorkspaceSharingController controller = new WorkspaceSharingController(ITEMID, true, ACL_TYPE.READ_ONLY);

			final Window sharingWindow = controller.getSharingWindow();

			Button openSharingWindow = new Button("Show Sharing Window",
					new ClickHandler() {
						public void onClick(ClickEvent event) {

							sharingWindow.show();
						}
					});

			RootPanel.get("workpacesharingwidget").add(openSharingWindow);

		} catch (Exception e) {
			e.printStackTrace();
		}*/
	}

}
